var stateID;

$(function(){
	
	$('#savestate').click(function(){
		$this = $(this);
		
		if($this.hasClass("ON")) {
			$this.removeClass("ON");
			$this.addClass("OFF");
			var cookie = getCookie(getStateID());
			deleteCookie(getStateID(), cookie);
		} else {
			setCookie(getStateID(), $("#currentpath").val());
			$this.addClass("ON");
		}
	});
	
	$('#savestate').mouseout(function() {
		$(this).removeClass("OFF");
	});
	
});

function getSavedState(fileConnector) {
	
	var d = new Date();
	
	var cookie = null;
	
	$.ajax({
		url : fileConnector + '?mode=getstateid&time=' + d.getMilliseconds(),
		async : false,
		dataType : 'json',
		success : function(result) {
			if (result['Code'] == 0) {
				stateID = result['StateID'];
				cookie = getCookie(stateID);
			} else {
				$('#savestate').remove();
			}
		}
	});
	
	if(cookie != null) {
		$('#savestate').addClass("ON");
		return cookie.substr(1);
	}
	
	return null;
}

function setSavedState(path) {
	
	if($('#savestate').hasClass("ON")) {
		setCookie(getStateID(), path);
	}
	
}

function getStateID() {
	
	return stateID;
	
}

function setCookie(cookieID, value) {
	
	document.cookie = escape(cookieID) + "=" + escape(value) + ";" + "path=" + escape("/");
	
}

function getCookie(cookieID) {
	
	var cookie = document.cookie.match('(^|;) ?' + escape(cookieID) + '=([^;]*)(;|$)');

	if (cookie)
		return (unescape(cookie[2]));
	else
		return null;

}

function deleteCookie(cookieID, value) {
	
	var date = new Date();
	
	date.setTime(date.getTime() - 1);
	
	document.cookie = escape(cookieID) + "=" + escape(value) + ";" + "path=" + escape("/") + ";expires=" + date.toGMTString();
	
}